Bug 866537 - inappropriate message when giving wrong number of arguments
inappropriate message when giving wrong number of arguments
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
Oded Ramraz
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:11 EDT by Gal Leibovici
Modified: 2016-02-10 14:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 04:31:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gal Leibovici 2012-10-15 11:11:43 EDT
Description of problem:
When giving wrong number of arguments to rhevm-shell it gives an error message,
then the welcome shell message and  then (shell disconnected).

I think it should only print an error message and quit.

Reproduce:
connect to rhevm-shell and give an additional parameter, "" in the middle

Expected:
Error message about number of arguments and quit

Actual:
Error message, welcome message then disconnect message and finally quit.
Comment 1 Michael Pasternak 2012-10-16 02:30:45 EDT
(In reply to comment #0)
> 
> Actual:
> Error message, welcome message then disconnect message and finally quit.

iiuc you trying connect to the shell from linux specifying arguments 
incorrectly,

in this case all true but "finally quit", cause you enter to the shell (this is 
the reason for the welcome message), but in /disconnected mode,

and the reason for entering shell is so you can see detail help
for /connect command (all mentioned above is by-design)

Note You need to log in before you can comment on or make changes to this bug.